global function addLoadoutIcons
global function TLVsettings

//Line 616 in cl_scoreboard_mp.nut was changed

void function TLVsettings()
{
	#if UI
	AddModTitle("Team Loadout Viewer")
	AddModCategory("General settings")
	AddConVarSettingEnum("enable_primaries_display", "Enable display of primary weapons", [ "No", "Yes" ])
	AddConVarSettingEnum("enable_secondaries_display", "Enable display of secondary/AT weapons", [ "No", "Yes" ])
	AddConVarSettingEnum("enable_tacticals_display", "Enable display of tacticals", [ "No", "Yes" ])
	AddConVarSettingEnum("enable_ordnances_display", "Enable display of ordnances", [ "No", "Yes" ])
	AddConVarSettingEnum("enable_titans_display", "Enable display of titans", [ "No", "Yes" ])
	#endif
}


void function addLoadoutIcons(var rui, entity player)
{
	#if CLIENT
	//Logger.Info("Func ran!")
	//RuiSetImage( rui, "extraIcon" + "0", $"r2_ui/menus/loadout_icons/primary_weapon/primary_softball" )
	
	for(int i = 0; i < 6; i++) //clearing extra icons
	{
		RuiSetImage( rui, "extraIcon" + i, $"" )
	}
	
	if(IsAlive(player))
	{
	
		entity soul = GetSoulFromPlayer(player)
		entity titan = null
		asset titanIcon
		int currentExtraIconIndex = 0
	
		if(player.IsTitan() && GetConVarInt("enable_titans_display") != 0)
		{
			titan = soul.GetTitan()
			//Logger.Info(GetTitanCharacterName(titan))
			titanIcon = GetIconForTitanClass(GetTitanCharacterName(titan))
			RuiSetImage( rui, "extraIcon" + currentExtraIconIndex++, titanIcon )
		}
		else
		{
			//Print order (reversed in game): Ordnance, tactical, weapon3, secondary, primary, titan
			asset weaponIcon
			asset tacticalIcon
			asset ordnanceIcon
			array <entity> weapons = player.GetMainWeapons()
			array <entity> offhand = player.GetOffhandWeapons()
			
			if(GetConVarInt("enable_ordnances_display") != 0 && offhand.len() > 0 && offhand[0] != null)
			{
				ordnanceIcon = GetWeaponInfoFileKeyFieldAsset_Global( offhand[0].GetWeaponClassName(), "hud_icon" )
				RuiSetImage( rui, "extraIcon" + currentExtraIconIndex++, ordnanceIcon )
			}
			if(GetConVarInt("enable_tacticals_display") != 0 && offhand.len() > 1 && offhand[1] != null)
			{
				tacticalIcon = GetWeaponInfoFileKeyFieldAsset_Global( offhand[1].GetWeaponClassName(), "hud_icon" )
				RuiSetImage( rui, "extraIcon" + currentExtraIconIndex++, tacticalIcon )
			}
			if(weapons.len() > 0)
			{
				for(int i = weapons.len(); i > 0; i--)
				{
					if(i == 1 && GetConVarInt("enable_primaries_display") != 0 || i > 1 && GetConVarInt("enable_secondaries_display") != 0)
					{
						weaponIcon = GetWeaponInfoFileKeyFieldAsset_Global( weapons[i-1].GetWeaponClassName(), "hud_icon" )
						RuiSetImage( rui, "extraIcon" + currentExtraIconIndex++, weaponIcon )
					}
				}
			}
			if(GetConVarInt("enable_titans_display") != 0 && player.GetPetTitan() != null)
			{
				titan = soul.GetTitan()
				//Logger.Info(GetTitanCharacterName(titan))
				titanIcon = GetIconForTitanClass(GetTitanCharacterName(titan))
				RuiSetImage( rui, "extraIcon" + currentExtraIconIndex++, titanIcon )
			}
		}
	}
	#endif
}